Skip to main content

List all members

Returns a list of your members. The members are returned sorted by creation date, with the most recently created members appearing first.

Parameters​

name
string
The name to search for.
email
string
The email to search for.

Returns​

Return a paginated response that contains an array of up to the specified limit of members.

get
/api/members
curl https://{workspace}.kitchen.co/api/members \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"created_at": "2024-05-22T11:20:13+00:00",
"email": "edurgan@example.com",
"group": "manager",
"id": "u_8425341c47ac43f6b69b5d85",
"language": null,
"name": "Dr. Carol Rice IV",
"phone": null,
"role": "owner",
"timezone": null,
"title": null,
"company": null,
"updated_at": "2024-05-22T11:20:13+00:00",
"username": "bfahey"
}
],
"links": {
"first": "https://{workspace}.kitchen.co/api/members?page=1",
"last": "https://{workspace}.kitchen.co/api/members?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://{workspace}.kitchen.co/api/members?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://{workspace}.kitchen.co/api/members",
"per_page": 20,
"to": 1,
"total": 1
}
}